org.apache.ignite.ml.environment.parallelism

## Class DefaultParallelismStrategy.FutureWrapper<T>

- java.lang.Object
- - org.apache.ignite.ml.environment.parallelism.DefaultParallelismStrategy.FutureWrapper<T>

- Type Parameters:
    `T` -
  All Implemented Interfaces:
    Future<T>, Promise<T>
  Enclosing class:
    DefaultParallelismStrategy

      public static class DefaultParallelismStrategy.FutureWrapper<T>
      extends Object
      implements Promise<T>

  Wrapper for future class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FutureWrapper(Future<T> f)` Create an instance of FutureWrapper.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `cancel(boolean mayInterruptIfRunning)`
    `T` | `get()`
    `T` | `get(long timeout, @NotNull TimeUnit unit)`
    `boolean` | `isCancelled()`
    `boolean` | `isDone()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.ml.environment.parallelism.Promise

      `getOpt, unsafeGet`

- - ### Constructor Detail

    - #### FutureWrapper

          public FutureWrapper(Future<T> f)

      Create an instance of FutureWrapper.
      Parameters:
        `f` - Future.

  - ### Method Detail

    - #### cancel

          public boolean cancel(boolean mayInterruptIfRunning)

      Specified by:
        `cancel` in interface `Future<T>`

    - #### isCancelled

          public boolean isCancelled()

      Specified by:
        `isCancelled` in interface `Future<T>`

    - #### isDone

          public boolean isDone()

      Specified by:
        `isDone` in interface `Future<T>`

    - #### get

          public T get()
                throws InterruptedException,
                       ExecutionException

      Specified by:
        `get` in interface `Future<T>`
      Throws:
        `InterruptedException`
        `ExecutionException`

    - #### get

          public T get(long timeout,
                       @NotNull
                       @NotNull TimeUnit unit)
                throws InterruptedException,
                       ExecutionException,
                       TimeoutException

      Specified by:
        `get` in interface `Future<T>`
      Throws:
        `InterruptedException`
        `ExecutionException`
        `TimeoutException`

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021